---
title: "Get Room Discussions"
slug: "get-room-discussions"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Discussions

Get/api/v1/rooms.getDiscussions

Get all [discussions](https://docs.rocket.chat/docs/discussions) of a room.

### Changelog

| Version | Description |
| --- | --- |
| 1.0.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
roomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sortstring

Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:

- `fname`: Sort by discussion name. For example, `sort={&quot;fname&quot;:1}` (this is the default sorting mechanism).
- `ts`: Sort by creation timestamp. For example, `sort={&quot;ts&quot;:-1}`
- `usersCount`: Sort by number of users. For example, `sort={&quot;usersCount&quot;:1}`

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='ed710218-21b6-4fdf-aa3d-3ef27815ffb3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b0434ce3-9efb-42dc-b3c6-f82ee99d2e07'>Success</option>
</select>Success

```json
{
  "discussions": [
    {
      "_id": "6514d34ea2f73c7460e18cb4",
      "fname": "test-discussion",
      "_updatedAt": "2023-09-28T01:14:04.275Z",
      "topic": "general",
      "prid": "GENERAL",
      "encrypted": false,
      "name": "M75nSgA3uYsnTbKRu",
      "t": "c",
      "msgs": 1,
      "usersCount": 1,
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie",
        "name": "test test"
      },
      "ts": "2023-09-28T01:13:50.574Z",
      "ro": false,
      "default": false,
      "sysMes": true,
      "lastMessage": {
        "_id": "pnm4kh84HfncDEZj7",
        "rid": "6514d34ea2f73c7460e18cb4",
        "msg": "Hi guys , this is for SWE team",
        "ts": "2023-09-28T01:14:04.119Z",
        "u": {
          "_id": "rbAXPnMktTFbNpwtJ",
          "username": "roxie",
          "name": "test test"
        },
        "_updatedAt": "2023-09-28T01:14:04.233Z",
        "urls": [],
        "mentions": [],
        "channels": [],
        "md": [
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "PLAIN_TEXT",
                "value": "Hi guys , this is for SWE team"
              }
            ]
          }
        ]
      },
      "lm": "2023-09-28T01:14:04.119Z"
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
```

Expand Allobject  discussions Array of object   object  _idstring    
fnamestring    
_updatedAtstring    
topicstring    
pridstring    
encryptedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    
namestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
lastMessageobject  _idstring    
ridstring    
msgstring    
tsstring    
uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valuestring    

lmstring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='a7c4b510-be39-4ee6-aee5-433396129c6c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ce14db42-3aa8-4032-8d6f-5bf252002c09'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
